<?php

/**
 * Unit tests for VuFind NoCacheAdapter.
 *
 * PHP version 5
 *
 * Copyright (C) Villanova University 2007.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category VuFind
 * @package  Cache
 * @author   David Maus <maus@hab.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU General Public License
 * @link     https://vufind.org Main Page
 */
namespace VuFindTest\Cache\Storage\Adapter;

use PHPUnit\Framework\TestCase;

use VuFind\Cache\Storage\Adapter\NoCacheAdapter;

/**
 * Unit tests for VuFind NoCacheAdapter.
 *
 * @category VuFind
 * @package  Cache
 * @author   David Maus <maus@hab.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU General Public License
 * @link     https://vufind.org Main Page
 */
class NoCacheAdapterTest extends TestCase
{
    /**
     * Test that an item is not stored.
     *
     * @return void
     */
    public function testHasItemIsFalseAfterSetItem()
    {
        $cache = new NoCacheAdapter();
        $cache->setItem('key', 'value');
        $this->assertFalse((bool)$cache->hasItem('key'));
    }
}
